Get Platform Settings
curl --request GET \
--url https://api.otim.com/v0/platform/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.otim.com/v0/platform/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.otim.com/v0/platform/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"autoEarnEnabled": true,
"autoEarnVault": "aave_usdc",
"defaultChain": "base",
"webhookUrl": "https://yourapp.com/webhooks/otim",
"updatedAt": "2025-01-15T12:00:00Z"
}{
"error": "<string>",
"code": "<string>",
"details": {}
}API
Get Platform Settings
Returns the current settings for your Platform, including auto-earn configuration, default chain, and webhook URL.
GET
/
platform
/
settings
Get Platform Settings
Authorizations
API key prefixed with sk_.
Response
Platform settings.
When enabled, new Accounts are automatically configured to earn yield on idle balances.
Example:
true
The vault used for auto-earn. When auto-earn is enabled, idle balances in new Accounts are deposited into this vault.
Available options:
aave_usdc, morpho_usdc, sky_usds Example:
"aave_usdc"
The default chain used when creating new Accounts.
Example:
"base"
URL to receive webhook notifications for events on your Platform.
Example:
"https://yourapp.com/webhooks/otim"
Example:
"2025-01-15T12:00:00Z"